name: eBlake2 Tests
run-name: ${{ gitea.actor }} testing eBlake2
on: [push, workflow_dispatch]

jobs:
  tests:
    runs-on: linux_amd64
    steps:
      - name: Check out repository code
        uses: actions/checkout@v3
      - name: test
        run: |
          . /opt/act_runner/erts/27.2/activate
          ./rebar3 compile
          ./rebar3 dialyzer
          ./rebar3 eunit
          ./rebar3 ct
